%define upstream_name    DBD-XBase
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Module for dealing with XBase files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://www.fi.muni.cz/~adelton/perl/
Source0:    %upstream_name-%upstream_version.tar.gz

# for testsuite:
#Buildrequires:	perl-DBI
BuildArch:  noarch

%description
Package DBD::XBase contains module XBase that can read and write dbf and
dbt/fpt files, as well as a DBI driver DBD::XBase, that allows work with these
files using SQL commands.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%make

%check
%make test

%install
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README eg
%{_bindir}/*
%{perl_vendorlib}/XBase.pm
%dir %{perl_vendorlib}/DBD
%{perl_vendorlib}/DBD/*
%dir %{perl_vendorlib}/XBase
%{perl_vendorlib}/XBase/*
%{_mandir}/*/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 1.70.0-1.mga6
+ Revision: 1010577
- update to 1.07

* Fri Apr 15 2016 shlomif <shlomif> 1.60.0-1.mga6
+ Revision: 1001757
- update to 1.06

* Mon Feb 08 2016 umeabot <umeabot> 1.50.0-6.mga6
+ Revision: 948476
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 787883
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 740346
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 684094
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 526851
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.50.0-1.mga4
+ Revision: 438933
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 365037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 09 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 67063
- update to 1.03
- adding missing buildrequires:
- update to 1.01

* Thu Jan 20 2011 jquelin <jquelin> 0.241.0-1.mga1
+ Revision: 26058
- mageia rebuild
- imported package perl-DBD-XBase

